Package org.apache.tools.ant.types

## Class LogLevel

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.LogLevel

Direct Known Subclasses:
  `Echo.EchoLevel`, `Recorder.VerbosityLevelChoices`

    public class LogLevel
    extends EnumeratedAttribute

The enumerated values for Ant's log level.

### Field Summary

Fields
`static LogLevel` `DEBUG` DEBUG loglevel constant.
`static LogLevel` `ERR` ERR loglevel constant.
`static LogLevel` `INFO` INFO loglevel constant.
`static LogLevel` `VERBOSE` VERBOSE loglevel constant.
`static LogLevel` `WARN` WARN loglevel constant.

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`LogLevel()` Public constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLevel()` get the level of the echo of the current value
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ERR

    public static final LogLevel ERR

ERR loglevel constant.

#### WARN

    public static final LogLevel WARN

WARN loglevel constant.

#### INFO

    public static final LogLevel INFO

INFO loglevel constant.

#### VERBOSE

    public static final LogLevel VERBOSE

VERBOSE loglevel constant.

#### DEBUG

    public static final LogLevel DEBUG

DEBUG loglevel constant.

### Constructor Detail

#### LogLevel

    public LogLevel()

Public constructor.

### Method Detail

#### getValues

    public java.lang.String[] getValues()

Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the strings allowed for the level attribute
See Also:
  `EnumeratedAttribute.getValues()`

#### getLevel

    public int getLevel()

get the level of the echo of the current value

Returns:
  the level